package com.yc.ship.module.resource.enums.guide;


import com.yc.ship.framework.common.core.IntArrayValuable;

import java.util.Arrays;

public enum GuideTypeEnum implements IntArrayValuable {
    TYPE_1(1, "内部"),

    TYPE_2(2, "外部"),
    TYPE_3(3, "实习");


    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(GuideTypeEnum::getStatus).toArray();
    private final Integer status;
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }


    public Integer getStatus() {
        return this.status;
    }

    public String getName() {
        return this.name;
    }

    private GuideTypeEnum(Integer status, String name) {
        this.status = status;
        this.name = name;
    }
}
